# op management
op 运营管理系统

# 开发
- Node: 最新 LTS 版本即可（目前 v14.15.4 运行正常）
- PM2: 最新稳定版即可
- NPM 源：可以使用淘宝源
- Yarn: 最新稳定版
- lock 文件：大家 Node 环境不一致（目前并没有影响），防止总有冲突，暂时未同步到 git 仓库


# 项目启动

启动 Node 服务

```shell
npm run dev
```

启动 Webpack 服务

```shell
# 新版
npm run web-dev

```

# 增加需要权限控制的页面

1. 配置 router meta 信息：requireAuth: true
2. 配置 */src/config/pageconfig.js*  PATH_PERMISSION_NAME 路由对应的权限名，子权限用逗号分割。权限名需与服务端返回权限列表中的一级权限保持一致


# 增加顶部导航
1. 配置 */src/config/pageconfig.js*  HEADER_CONFIG.menuItems 增加对应项
2. 若需要权限控制顶栏是否展示对应项， 需配置 */src/config/pageconfig.js*  PAGEMODULE_PERMISSIONNAME 模块对应的权限名。权限名需与服务端返回权限列表中的一级权限保持一致
