const env = process.env.NODE_ENV || 'development';
const port = process.env.PORT || 8055;

const LOGIN_URI = {
  'development': "http://bp-test.ini.yidian-inc.com ",
  'test': "http://web-rest.int.yidian-inc.com",
  'production': "http://web-rest.int.yidian-inc.com"
}

const PANDORA_URI = {
  'development': "http://pandora.yidian-inc.com",
  'test': "http://pandora.yidian-inc.com",
  'production': "http://pandora.yidian-inc.com"
}

const API_INTERNAL_URI = {
  'development': "http://bp-dev.ini.yidian-inc.com",
  'test': "http://bp-test.ini.yidian-inc.com",
  'production': "http://bp-dev.ini.yidian-inc.com"
}

const IDGEN_URI = {
  'development': "https://bp-test.go2yd.com",
  'test': "http://idgen-test.ini.yidian-inc.com",
  'production': "http://idgen-test.ini.yidian-inc.com"
}

module.exports = {
  env: env,
  port: port,
  LOGIN_URI: LOGIN_URI[env],
  API_INTERNAL_URI: API_INTERNAL_URI[env],
  PANDORA_URI: PANDORA_URI[env],
  IDGEN_URI: IDGEN_URI[env]
};
