const LOGIN_URI = require('../config.js').LOGIN_URI
const API_INTERNAL_URI = require('../config.js').API_INTERNAL_URI
//生活号列表
const req = require('../utils/request').httpReq

exports.get_life_list = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/lifeinner/life_list`;
  var opts = {
    url: url,
    method: 'GET',
    qs: ctx.request.query
  }

  ctx.body = await req(ctx, opts)
}
//生活号详情
exports.get_life_info = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/lifeinner/life_info`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    timeout: 8000,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
