const LOGIN_URI = require('../config.js').LOGIN_URI
const API_INTERNAL_URI = require('../config.js').API_INTERNAL_URI
const req = require('../utils/request').httpReq
const controller_utils = require('./utils')


exports.getAll_role_list = async (ctx, next) => {
  ctx.body = await controller_utils.getUserPermission(ctx);
}
exports.getRole_list = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/role_list`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
exports.getAdd_role = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/add_role`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
exports.get_role_info = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/get_role_info`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    timeout: 8000,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
exports.getUpdate_role = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/update_role`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
exports.getDelete_role = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/delete_role`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
