const API_INTERNAL_URI = require('../config.js').API_INTERNAL_URI
const req = require('../utils/request').httpReq

exports.getUserPermission = async (ctx) => {
  const url = `${API_INTERNAL_URI}/merchant/authority/get_role_list`;
  const { email, op_cur_user } = ctx.request.query;
  const user = email || op_cur_user;
  const opts = {
    url,
    method: "GET",
    qs: {
      // user_email: "jianghaiming@126.com"
      user_email: user
    }
  };
  return await req(ctx, opts);
}