import axios from '../utils/request';

export async function getImgId() {
  const res = await axios.get("/api/v1/image/get_image_id")
  return res;
}

export async function getImgBucket() {
  const res = await axios.get("/api/v1/image/get_bucket")
  return res;
}

export async function getImgToken() {
  const res = await axios.get("/api/v1/image/get_token")
  return res;
}

export async function uploadImageToKs3(file) {
  const formData = new FormData();
  formData.append("file", file);
  const res = await axios.post("/api/v1/image/upload_ks3_image", formData)
  return res;
}

export async function getKs3Config() {
  const res = await axios.get("/api/v1/image/get_ks3_config")
  return res;
}